PETSc version 3.15.5
Fix/Edit manual page

# DMRefine

Refines a DM object

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMRefine(DM dm,MPI_Comm comm,DM *dmf)

Collective on dm

### Input Parameter

| dm | - the DM object
| comm | - the communicator to contain the new DM object (or MPI_COMM_NULL)

### Output Parameter

| dmf | - the refined DM, or NULL

### Options Database Keys

| -dm_plex_cell_refiner <strategy> | - chooses the refinement strategy, e.g. regular, tohex

Note: If no refinement was done, the return value is NULL

### See Also

DMCoarsen(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateInterpolation()

### Level

developer

### Location

src/dm/interface/dm.c

### Examples

src/dm/tutorials/ex3.c.html
src/ksp/ksp/tutorials/ex65.c.html
src/ksp/ksp/tutorials/ex73.c.html
src/snes/tutorials/ex12.c.html
src/snes/tutorials/ex77.c.html

### Implementations

DMRefine_Composite in src/dm/impls/composite/pack.c
DMRefine_DA in src/dm/impls/da/da.c
DMRefine_Forest in src/dm/impls/forest/forest.c
DMRefine_Moab in src/dm/impls/moab/dmmbmg.cxx
DMRefine_Plex in src/dm/impls/plex/plexrefine.c
DMRefine_Redundant in src/dm/impls/redundant/dmredundant.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages